Package com.smartgwt.logicalstructure.widgets.drawing

# Class GaugeLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawPaneLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.GaugeLogicalStructure

public class GaugeLogicalStructure extends DrawPaneLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `borderColor`
  `String`
  `borderWidth`
  `String`
  `dialRadius`
  `String`
  `drawnClockwise`
  `String`
  `fontSize`
  `String`
  `labelPrefix`
  `String`
  `labelSuffix`
  `String`
  `maxValue`
  `String`
  `minValue`
  `String`
  `numMajorTicks`
  `String`
  `numMinorTicks`
  `Point`
  `pivotPoint`
  `String`
  `pivotPointHeightAsString`
  `String[]`
  `sectorColors`
  `GaugeSector[]`
  `sectors`
  `String`
  `value`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawPaneLogicalStructure

  `canDragScroll, drawingHeight, drawingType, drawingWidth, drawItems, editProxyConstructor, gradients, rotation, translate, zoomLevel`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GaugeLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### borderColor

    public String borderColor

  - ### borderWidth

    public String borderWidth

  - ### dialRadius

    public String dialRadius

  - ### drawnClockwise

    public String drawnClockwise

  - ### fontSize

    public String fontSize

  - ### labelPrefix

    public String labelPrefix

  - ### labelSuffix

    public String labelSuffix

  - ### maxValue

    public String maxValue

  - ### minValue

    public String minValue

  - ### numMajorTicks

    public String numMajorTicks

  - ### numMinorTicks

    public String numMinorTicks

  - ### pivotPoint

    public Point pivotPoint

  - ### pivotPointHeightAsString

    public String pivotPointHeightAsString

  - ### sectorColors

    public String[] sectorColors

  - ### sectors

    public GaugeSector[] sectors

  - ### value

    public String value

- ## Constructor Details

  - ### GaugeLogicalStructure

    public GaugeLogicalStructure()